| Home | Libraries | People | FAQ | More

## Class validation_error

boost::program_options::validation_error —

## Synopsis

    class validation_error : public boost::program_options::error {
    public:
      // construct/copy/destruct
      validation_error(const std::string &);
      ~validation_error();

      // public member functions
      void set_option_name(const std::string &) ;

      // private member functions
      const char * what() const;
    };

## Description

Class thrown when value of option is incorrect.

### `validation_error` construct/copy/destruct

1.     validation_error(const std::string & what);

2.     ~validation_error();

### `validation_error` public member functions

1.     void set_option_name(const std::string & option) ;

### `validation_error` private member functions

1.     const char * what() const;

| Copyright © 2002-2004 Vladimir Prus